import { Logger } from 'backtrace-service';
import process from 'process';
import service from './src/app';
import { updateAllHooks } from './src/hooks-sync';

if (process.report) {
  Logger.getLogger().info('Setting up error reporting report');
  process.report.reportOnFatalError = true;
  process.report.reportOnSignal = true;
  process.report.reportOnUncaughtException = true;
  process.report.filename = 'crash-report.json';
}

function setUpdateInterval() {
  const hookSyncFrequency = service.configuration.updateInterval || 5 * 60 * 1000;

  setInterval(() => {
    updateAllHooks();
  }, hookSyncFrequency);
  updateAllHooks();
}

function main() {
  setUpdateInterval();
  service.start();
}

main();
